ForeachStatement
Keywords: uk.ac.ic.doc.automed.templates.wrapper.ForeachStatement class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.templates.wrapper
Class ForeachStatement

    java.lang.Object
      uk.ac.ic.doc.automed.templates.wrapper.TStatement
          uk.ac.ic.doc.automed.templates.wrapper.ForeachStatement

    public class ForeachStatement

extends TStatement

Field Summary
`protected boolean` | `allArgumentsSet`
`protected java.util.ArrayList` | `blockStatements`
`protected int` | `currentArgumentPosition`
`protected TemplateArgumentSequence` | `foreachArgSeq`
`protected TTemplate` | `foreachBlock`
`protected int` | `numberOfReturns`
`protected java.util.Hashtable` | `returnMAP`
`protected TStatementArgument` | `schemaARG`
`protected TStatementArgument` | `sequencesARG`
`protected TemplateArgumentSequence` | `sequencesArgSeq`
`protected java.util.Hashtable` | `sequencesMAP`
`protected TStatementArgument` | `singletonsARG`
`protected TemplateArgumentSequence` | `singletonsArgSeq`
`protected java.util.Hashtable` | `singletonsMAP`
`protected TStatementArgument` | `transARG`

Fields inherited from class uk.ac.ic.doc.automed.templates.wrapper.TStatement
`fromSchemaARG, self, statementType, toSchemaARG`

Constructor Summary
`ForeachStatement()`

Method Summary
`protected int` | `createExecutionStatement(int position, CompositeTransformation trans)`
`protected java.lang.String` | `getArgumentDescription(TStatementArgument sa)`
`TTemplateArgument` | `getCurrent(java.lang.String key)`
`TStatementArgument` | `getOutput(java.lang.String key)`
`protected java.lang.String` | `getStatementDescription()`
`int` | `numberOfElements(TStatementArgument t)`
`TStatementArgument` | `resultingSchema()`
`protected void` | `rollback()`
`void` | `setBlock(TStatement[] statements)`
`void` | `setFromSchema(TArgument sch)`
`void` | `setIterator(java.lang.String key, TArgument ta)`
`void` | `setOutputList(java.lang.String key, TStatementArgument arg)`
`void` | `setSchema(TArgument sch)`
`void` | `setVariable(java.lang.String key, TArgument ta)`
`protected void` | `updateRepository()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### foreachArgSeq

    protected TemplateArgumentSequence foreachArgSeq

### singletonsArgSeq

    protected TemplateArgumentSequence singletonsArgSeq

### sequencesArgSeq

    protected TemplateArgumentSequence sequencesArgSeq

### singletonsMAP

    protected java.util.Hashtable singletonsMAP

### sequencesMAP

    protected java.util.Hashtable sequencesMAP

### returnMAP

    protected java.util.Hashtable returnMAP

### schemaARG

    protected TStatementArgument schemaARG

### sequencesARG

    protected TStatementArgument sequencesARG

### singletonsARG

    protected TStatementArgument singletonsARG

### transARG

    protected TStatementArgument transARG

### foreachBlock

    protected TTemplate foreachBlock

### blockStatements

    protected java.util.ArrayList blockStatements

### currentArgumentPosition

    protected int currentArgumentPosition

### numberOfReturns

    protected int numberOfReturns

### allArgumentsSet

    protected boolean allArgumentsSet

Constructor Detail

### ForeachStatement

    public ForeachStatement()
                     throws TemplateDefinitionException

Throws:
  `TemplateDefinitionException`

Method Detail

### getOutput

    public TStatementArgument getOutput(java.lang.String key)
                                 throws TemplateDefinitionException

  Throws:
    `TemplateDefinitionException`

### setOutputList

    public void setOutputList(java.lang.String key,
                              TStatementArgument arg)
                       throws TemplateDefinitionException

  Throws:
    `TemplateDefinitionException`

### setBlock

    public void setBlock(TStatement[] statements)
                  throws TemplateDefinitionException

  Throws:
    `TemplateDefinitionException`

### resultingSchema

    public TStatementArgument resultingSchema()

  Specified by:
    `resultingSchema` in class `TStatement`

### setSchema

    public void setSchema(TArgument sch)
                   throws TemplateDefinitionException

  Throws:
    `TemplateDefinitionException`

### setFromSchema

    public void setFromSchema(TArgument sch)
                       throws TemplateDefinitionException

  Specified by:
    `setFromSchema` in class `TStatement`
  Throws:
    `TemplateDefinitionException`

### setIterator

    public void setIterator(java.lang.String key,
                            TArgument ta)
                     throws TemplateDefinitionException

  Throws:
    `TemplateDefinitionException`

### setVariable

    public void setVariable(java.lang.String key,
                            TArgument ta)
                     throws TemplateDefinitionException

  Throws:
    `TemplateDefinitionException`

### getCurrent

    public TTemplateArgument getCurrent(java.lang.String key)
                                 throws TemplateDefinitionException

  Throws:
    `TemplateDefinitionException`

### updateRepository

    protected void updateRepository()
                             throws TemplateDefinitionException

  Specified by:
    `updateRepository` in class `TStatement`
  Throws:
    `TemplateDefinitionException`

### getStatementDescription

    protected java.lang.String getStatementDescription()

  Specified by:
    `getStatementDescription` in class `TStatement`

### getArgumentDescription

    protected java.lang.String getArgumentDescription(TStatementArgument sa)

  Specified by:
    `getArgumentDescription` in class `TStatement`

### numberOfElements

    public int numberOfElements(TStatementArgument t)

  Specified by:
    `numberOfElements` in class `TStatement`

### rollback

    protected void rollback()

  Specified by:
    `rollback` in class `TStatement`

### createExecutionStatement

    protected int createExecutionStatement(int position,
                                           CompositeTransformation trans)
                                    throws TemplateDefinitionException

  Specified by:
    `createExecutionStatement` in class `TStatement`
  Throws:
    `TemplateDefinitionException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD